Bug 270901 - mock useradd should set a null password
mock useradd should set a null password
Product: Fedora Hosted Projects
Classification: Retired
Component: mock (Show other bugs)
All All
medium Severity low
: ---
: ---
Assigned To: Clark Williams
Depends On:
  Show dependency treegraph
Reported: 2007-08-31 07:19 EDT by Simon
Modified: 2013-01-09 23:24 EST (History)
2 users (show)

See Also:
Fixed In Version: 0.9.7-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-03-07 16:24:03 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Set null password for mockbuild user (560 bytes, patch)
2007-08-31 07:19 EDT, Simon
no flags Details | Diff

  None (edit)
Description Simon 2007-08-31 07:19:27 EDT
Description of problem:
Some distributions (e.g. SUSE 10) will lock an account newly created with
useradd, unless a null password is explicitly set.

This leads to "Password:" prompts whenever mock uses "su - mockbuild" or equivalent.

Version-Release number of selected component (if applicable):

Actual results:
Password prompts

Expected results:
No password prompts

Additional info:
I think it would be a sensible default to explicitly set a null password. See patch.
Comment 1 Simon 2007-08-31 07:19:27 EDT
Created attachment 183101 [details]
Set null password for mockbuild user
Comment 2 Clark Williams 2008-03-07 16:24:03 EST
we've had a big code reorg and this problem has been addressed multiple ways,
since we no longer call 'su - mockbuild' and we edit the passwd file after useradd.

I'll close this for now.

Note You need to log in before you can comment on or make changes to this bug.